View Issue Details

IDProjectCategoryView StatusLast Update
0001168libextractorbuild systempublic2012-09-09 02:35
ReporterenscAssigned ToNDurner 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.5.17 
Target Version1.0.0Fixed in Version1.0.0 
Summary0001168: fails to detect qt4 libraries from Fedora
DescriptionThe QT4 libraries from Fedora are named like

| libQtCore.so
| libQtSvg.so

libextractor expects a '4' suffix (e.g. libQtCore4.so) and fails to recognize QT4 therefore.

Because QT4 is shipped with pkgconfig files, checks like

| PKG_CHECK_MODULES(QT4_CORE, QtCore)
| PKG_CHECK_MODULES(QT4_SVG, QtSvg)

might be used instead of the manual '--with-qt' stuff.
TagsNo tags attached.

Activities

Christian Grothoff

2007-01-02 20:54

manager   ~0002853

Fixed in SVN 4170.

ensc

2007-03-17 12:26

reporter   ~0002941

Fails again with 0.5.18. Everything was fine with 0.5.17a.

Christian Grothoff

2007-05-28 13:25

manager   ~0002986

Seems that the fix broke the Win32 build, and Nils fixed the Win32 build by again breaking this. Grmpf.

Christian Grothoff

2007-05-29 15:31

manager   ~0002990

Nils, after your patch I now get (on Fedora 5):

(cd .libs && rm -f libextractor_tiff.la && ln -s ../libextractor_tiff.la libextractor_tiff.la)
if /bin/sh ../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I/include -I/usr/include -I/usr/include/qt4 -I/usr/include -I/usr/include/qt4 -g -O2 -MT libextractor_thumbnailqt_la-thumbnailextractorqt.lo -MD -MP -MF ".deps/libextractor_thumbnailqt_la-thumbnailextractorqt.Tpo" -c -o libextractor_thumbnailqt_la-thumbnailextractorqt.lo `test -f 'thumbnailextractorqt.cc' || echo './'`thumbnailextractorqt.cc; \
then mv -f ".deps/libextractor_thumbnailqt_la-thumbnailextractorqt.Tpo" ".deps/libextractor_thumbnailqt_la-thumbnailextractorqt.Plo"; else rm -f ".deps/libextractor_thumbnailqt_la-thumbnailextractorqt.Tpo"; exit 1; fi
 g++ -DHAVE_CONFIG_H -I. -I. -I../../src/include -I../../src/include -I/include -I/usr/include -I/usr/include/qt4 -I/usr/include -I/usr/include/qt4 -g -O2 -MT libextractor_thumbnailqt_la-thumbnailextractorqt.lo -MD -MP -MF .deps/libextractor_thumbnailqt_la-thumbnailextractorqt.Tpo -c thumbnailextractorqt.cc -fPIC -DPIC -o .libs/libextractor_thumbnailqt_la-thumbnailextractorqt.o
thumbnailextractorqt.cc:36:28: error: qsvgrenderer.h: No such file or directory
thumbnailextractorqt.cc: In function 'EXTRACTOR_Keywords* libextractor_thumbnailqt_extract(const char*, const unsigned char*, size_t, EXTRACTOR_Keywords*, const char*)':
thumbnailextractorqt.cc:159: error: 'QSvgRenderer' was not declared in this scope
thumbnailextractorqt.cc:159: error: expected `;' before 'svg'
thumbnailextractorqt.cc:162: error: 'svg' was not declared in this scope
thumbnailextractorqt.cc:165: error: 'svg' was not declared in this scope
make[3]: *** [libextractor_thumbnailqt_la-thumbnailextractorqt.lo] Error 1
make[3]: Leaving directory `/home/grothoff/svn/Extractor/src/plugins'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/grothoff/svn/Extractor/src/plugins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/grothoff/svn/Extractor/src'
make: *** [all-recursive] Error 1
[grothoff@r3-mobile Extractor]$ locate qsvgrenderer.h
/usr/include/Qt/qsvgrenderer.h
/usr/include/QtSvg/qsvgrenderer.h
/usr/share/doc/qt4/html/qsvgrenderer.html

Christian Grothoff

2007-06-09 02:12

manager   ~0003007

Ok, current SVN works on *my* Fedora and on Debian. Please test on Win32 (and possibly others).

NDurner

2007-06-16 06:44

developer   ~0003018

Works on Win32, too.

NDurner

2007-06-16 06:45

developer   ~0003019

fixed in SVN HEAD

Issue History

Date Modified Username Field Change
2007-01-02 07:39 ensc New Issue
2007-01-02 14:46 Christian Grothoff Status new => assigned
2007-01-02 14:46 Christian Grothoff Assigned To => Christian Grothoff
2007-01-02 20:54 Christian Grothoff Status assigned => resolved
2007-01-02 20:54 Christian Grothoff Resolution open => fixed
2007-01-02 20:54 Christian Grothoff Note Added: 0002853
2007-01-02 21:10 Christian Grothoff Status resolved => closed
2007-03-17 12:26 ensc Status closed => feedback
2007-03-17 12:26 ensc Resolution fixed => reopened
2007-03-17 12:26 ensc Note Added: 0002941
2007-05-28 13:25 Christian Grothoff Note Added: 0002986
2007-05-28 14:01 NDurner Status feedback => assigned
2007-05-28 14:01 NDurner Assigned To Christian Grothoff => NDurner
2007-05-29 15:31 Christian Grothoff Note Added: 0002990
2007-06-09 02:12 Christian Grothoff Note Added: 0003007
2007-06-16 06:44 NDurner Note Added: 0003018
2007-06-16 06:45 NDurner Status assigned => resolved
2007-06-16 06:45 NDurner Fixed in Version => current SVN
2007-06-16 06:45 NDurner Resolution reopened => fixed
2007-06-16 06:45 NDurner Note Added: 0003019
2007-07-04 18:14 Christian Grothoff Status resolved => closed
2012-09-09 02:35 Christian Grothoff Fixed in Version current SVN => 1.0.0
2012-09-09 02:35 Christian Grothoff Target Version => 1.0.0